From: [email-masked] (Jonathan McDowell)
Date: Thu, 15 Apr 93 14:01:14 -0400

Some comments on Ian and Lorella's OGIP 93-001:

   1. I would vote that Jy be promoted to table 2. It's
   as much a standard in astronomy as angstrom, nowadays.

   2. I would prefer that SI prefixes in general should be permitted
   but discouraged at the level of table 3. (e.g. kpc,
   mJy). (I already have a subroutine that parses such prefixes, it's
   pretty trivial).

   3. What about rescaling? Is 10**44 erg /s
   an acceptable unit? Otherwise you may have problems
   with overflowing real exponents. How about
    10**(-26) W /m**2/Hz? 
 
   4. Negative powers in units.
   I actually feel that 
     W m**(-2) Hz**(-1)
   is less ambiguous than
     W /m**2 /Hz
   which could be misinterpreted by someone really bloody minded to
   mean
     W/ (m**2/Hz)
   ie.  W Hz /m**2
   What about fractional powers, e.g sensitivities in
     W / Hz**0.5  or  W / Hz**(1/2)
   (something I never really understand right anyway!)

   5.  I note that your argument against the use of mCrab 
  applies precisely in the same way to mag  (reading
  Vega for Crab) (although
  I agree they are both in the right tables). I also
  draw to your attention the standard unit of the diffuse
  background radiation, the S10(V)  (surface brightness
  of a V=10 mag G2V star), which happily I have seen less
  of recently.

  6. Pixel is not just a unit of area, it is a linear unit
  labelling each dimension of an n-dimensional array.
  I have also seen 'square pixels' as the unit of area.

  7. How about 'Hubble length' as a unit? Indeed, Mpc
  is needed (I can imagine a header card as follows:
  H0  =  50   / Assumed Hubble Constant
  H0_UNIT= 'km /s /Mpc' / Units of Hubble Constant
  ).  

  8. Other units analogous to pixel are 'bin' (e.g. for
  PHA or Einstein IPC BAL) and 'step' (e.g. for instrument high
  voltage). Technically these are all 'dimensionless'
  in SI terms but in our context I think it's useful to have
  them, together with the existing 'photon' and 'count'.

  9. Note the typo on Table 3 - should be MeV not Mev.
  also in section 2 - resistance is misspelt resistence.

  Finally I deprecate your omission of the standard
  FEF system of units (furlong-elephant-fortnight).

Comments on other comments:
  I disagree with Clive's suggestion that we should mandate use
  of radians internally. Since as he points out the conversion
  is easy to do, we might as well leave it to the reading
  software. The key (and the power of FITS) is to make sure
  the header keywords allow the software to determine the
  meaning of the values. I would prefer to write a standard
  that allows as many different ways of doing things as
  possible but ensures that it's easy to figure out exactly
  what was done.

   - jonathan